import 'package:flutter/material.dart';
import 'package:healthrian_visualization_support/'
    'healthrian_visualization_support.dart';

class WearEcgPage extends StatelessWidget {
  const WearEcgPage({super.key});

  @override
  Widget build(BuildContext context) {
    return SafeArea(
      child: Scaffold(
        /// Body
        body: ListView(
          children: const [
            Row(
              children: [
                /// connection
                ConnectionStateWearEcg(),

                /// Heart beat
                EcgHeartbeatWearEcg(),

                /// Tap
                TapWearEcg(),
              ],
            ),

            Row(
              children: [
                LeadStateWearEcg(),
                BatteryLevelWearEcg(),
              ],
            ),

            /// Ecg holter view
            EcgWearECG(),
          ],
        ),

        /// Control panel
        floatingActionButton: FloatingActionButton(
          onPressed: () {
            showDialog<void>(
              context: context,
              barrierColor: Colors.transparent,
              builder: (context) {
                return const PDFViewerPage();
              },
            );
          },
        ),

        /// Navigation
        // bottomNavigationBar: const Navigation(selected: 0),
      ),
    );
  }
}
