import 'package:example/app/app.dart';
import 'package:flutter/material.dart';
import 'package:healthrian_visualization_support/'
    'healthrian_visualization_support.dart';

class WearCardioTPage extends StatelessWidget {
  const WearCardioTPage({super.key});

  @override
  Widget build(BuildContext context) {
    return SafeArea(
      child: Scaffold(
        /// Body
        body: ListView(
          children: const [
            Row(
              children: [
                /// connection
                ConnectionStateWearT(),

                /// Heart beat
                EcgHeartbeatWearT(),
              ],
            ),

            /// Ecg holter view
            EcgWearT(),

            OxiWearT(),
          ],
        ),

        /// Control panel
        floatingActionButton: const ControlPanelWearT(),

        /// Navigation
        bottomNavigationBar: const Navigation(selected: 2),
      ),
    );
  }
}
