// ignore_for_file: public_member_api_docs

import 'dart:developer';

import 'package:copy_with_extension/copy_with_extension.dart';
import 'package:flutter/material.dart';
import 'package:healthrian_ble_support/healthrian_ble_support.dart';

part 'button_record_cardioclick.g.dart';

@CopyWith()
class ButtonRecordCardioClick extends StatelessWidget {
  const ButtonRecordCardioClick({
    super.key,
    this.child,
  });

  final Widget? child;

  @override
  Widget build(BuildContext context) {
    return MaterialButton(
      onPressed: () {
        final streams = BLEManager().manageCardioClick.streams;
        final stream = streams.bufferedFilterStreamEcg;

        try {
          stream?.first.then(
            (value) async {
              value.toList().forEach((element) {});
              // final l2 = value.l2;
              // final snackBar = SnackBar(
              //   content: Text('$l2'),
              // );
              // log('$l2');

              // ScaffoldMessenger.of(context).showSnackBar(
              //   snackBar,
              // );
            },
          );
        } catch (e) {
          log('$e');
        }
      },
      child: child,
    );
  }
}
